com.h3c.sdn

## Class BaseModel

- java.lang.Object
- - com.h3c.sdn.BaseModel

- All Implemented Interfaces:
    Identified, Serializable
  Direct Known Subclasses:
    ManagedArtifact, ManagedPlan

      public abstract class BaseModel
      extends Object
      implements Identified, Serializable

  Classes that extend this base class have a unique identification (uid) field, a corresponding accessor method, and standardized hash code and equals methods for storage consistency.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseModel()` Construct with a generated unique identification string.
    `BaseModel(String uid)` Construct using the supplied unique identification string.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `String` | `toString()`
    `String` | `uid()` Returns the unique identifier of the entity.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseModel

          public BaseModel()

      Construct with a generated unique identification string.

    - #### BaseModel

          public BaseModel(String uid)

      Construct using the supplied unique identification string. The supplied unique identification must not be null.
      Parameters:
        `uid` - the unique identification to use.

  - ### Method Detail

    - #### uid

          public String uid()

      Description copied from interface: `Identified`
      Returns the unique identifier of the entity.
      Specified by:
        `uid` in interface `Identified`
      Returns:
        unique id of the entity

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.